| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
SeisFixedCubeProvider Class Reference
Seis

`#include <seiscubeprov.h>`

## Public Member Functions
| SeisFixedCubeProvider (const MultiID &)
| ~SeisFixedCubeProvider ()
void | clear ()
uiString | errMsg () const
const SeisTrc * | getTrace (const BinID &) const
const SeisTrc * | getTrace (int trcnr) const
float | getTrcDist () const
bool | isEmpty () const
bool | readData (const TrcKeyZSampling &, const Pos::GeomID &, TaskRunner *=nullptr)
bool | readData (const TrcKeyZSampling &, TaskRunner *=nullptr)

## Protected Member Functions
bool | calcTrcDist (const Pos::GeomID &)

## Protected Attributes
Array2D< SeisTrc * > * | data_ = nullptr
uiString | errmsg_
IOObj * | ioobj_
TrcKeyZSampling | tkzs_
float | trcdist_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ SeisFixedCubeProvider()

SeisFixedCubeProvider::SeisFixedCubeProvider | ( | const MultiID & |  | ) |

## ◆ ~SeisFixedCubeProvider()

SeisFixedCubeProvider::~SeisFixedCubeProvider | ( |  | ) |

## Member Function Documentation

## ◆ calcTrcDist()

bool SeisFixedCubeProvider::calcTrcDist | ( | const Pos::GeomID & |  | ) |
| protected

## ◆ clear()

void SeisFixedCubeProvider::clear | ( |  | ) |

## ◆ errMsg()

uiString SeisFixedCubeProvider::errMsg | ( |  | ) | const

## ◆ getTrace() [1/2]

const SeisTrc * SeisFixedCubeProvider::getTrace | ( | const BinID & |  | ) | const

## ◆ getTrace() [2/2]

const SeisTrc * SeisFixedCubeProvider::getTrace | ( | int | trcnr | ) | const

## ◆ getTrcDist()

float SeisFixedCubeProvider::getTrcDist | ( |  | ) | const
| inline

## ◆ isEmpty()

bool SeisFixedCubeProvider::isEmpty | ( |  | ) | const

## ◆ readData() [1/2]

bool SeisFixedCubeProvider::readData | ( | const TrcKeyZSampling & | ,
|  | const Pos::GeomID & | ,
|  | TaskRunner * | = nullptr )

## ◆ readData() [2/2]

bool SeisFixedCubeProvider::readData | ( | const TrcKeyZSampling & | ,
|  | TaskRunner * | = nullptr )

## Member Data Documentation

## ◆ data_

Array2D<SeisTrc*>* SeisFixedCubeProvider::data_ = nullptr
| protected

## ◆ errmsg_

uiString SeisFixedCubeProvider::errmsg_
| protected

## ◆ ioobj_

IOObj* SeisFixedCubeProvider::ioobj_
| protected

## ◆ tkzs_

TrcKeyZSampling SeisFixedCubeProvider::tkzs_
| protected

## ◆ trcdist_

float SeisFixedCubeProvider::trcdist_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025